Bug 14675 - Updating personal details on OPAC - request sent even if no changes are made
Summary: Updating personal details on OPAC - request sent even if no changes are made
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Stenberg
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 03:36 UTC by Aleisha Amohia
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14675: Don't update details if no changes made (3.25 KB, patch)
2015-08-18 14:49 UTC, Martin Stenberg
Details | Diff | Splinter Review
Bug 14675: Don't update details if no changes made (3.31 KB, patch)
2015-08-20 06:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14675: Don't update details if no changes made (3.38 KB, patch)
2015-08-20 12:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-08-12 03:36:42 UTC
Rather than saying that the user's updates have been submitted when they haven't made any, it should take them back to the details page and there should be a pop-up that says "No changes were made". More accurate message.
Comment 1 Martin Stenberg 2015-08-18 14:49:11 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2015-08-20 06:34:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-08-20 12:50:41 UTC
Created attachment 41714 [details] [review]
Bug 14675: Don't update details if no changes made

if no changes has been made for personal details, bring user back to details
page and inform them that no changes has been made.

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-08-20 16:47:46 UTC
Patch pushed to master.

Thanks Martin!